      program gps1sec
      implicit none

      real*8  lon, lat, alt
      real*8  lon1, lat1, lon2, lat2

      integer it

      integer i, j


      do 110 i = 1, 765
        read(*,*)
 110  continue

      it = 1
      read(*,*) lon1, lat1
      write(*,*) it, lon1, lat1
      do 220 i = 1, 720
        read(*,*) lon2, lat2
        do 210 j = 1, 4
          it = it + 1
          lon = (lon1*(5.0d0-j)+lon2*(j))/5.0d0
          lat = (lat1*(5.0d0-j)+lat2*(j))/5.0d0
          write(*,*) it, lon, lat
 210    continue
        it = it + 1
        write(*,*) it, lon2, lat2
        lon1 = lon2
        lat1 = lat2
 220  continue

      stop
      end
      
